## ros-kinetic-master-discovery-fkie 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(master_discovery_fkie)

find_package(catkin REQUIRED COMPONENTS multimaster_msgs_fkie std_srvs)

catkin_python_setup()

catkin_package(CATKIN_DEPENDS multimaster_msgs_fkie std_srvs)

install(
    PROGRAMS
        nodes/master_discovery
        nodes/zeroconf
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
    DIRECTORY
    launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-master-discovery-fkie (0.8.12-0xenial) xenial; urgency=high

  * Merge pull request #100 <https://github.com/fkie/multimaster_fkie/issues/100> from stertingen/patch-1
    zeroconf.py: Detect IPv6 usage from environment
  * zeroconf.py: Detect IPv6 usage from environment
    Set environment ROS_IPV6=on to enable the IPv6 RPC server.
  * master_discovery_fkie: zeroconf: added fqdn-parameter, see issue #99 <https://github.com/fkie/multimaster_fkie/issues/99>
  * master_discovery_fkie: fixed some format warning
  * master_discovery_fkie: zeroconf use for monitoruri the same hostname from masteruri
  * Contributors: Alexander Tiderko, Hermann von Kleist

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.11-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.10-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.9-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.8-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.7-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.5-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.4-0xenial) xenial; urgency=high

  * master_discovery_fkie: fix zeroconf to avoid request loop in master_sync
    see issue #90 <https://github.com/fkie/multimaster_fkie/issues/90>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.3-0xenial) xenial; urgency=high

  * Fixed typo hearbeat[s] to heartbeat[s] pull request #87 <https://github.com/fkie/multimaster_fkie/issues/87> from Paulls20/master
  * Contributors: Alexander Tiderko, Paul.Varghese

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.2-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.1-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.8.0-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.8-0xenial) xenial; urgency=high

  * Fix catkin_lint warnings
  * Merge pull request #69 <https://github.com/fkie/multimaster_fkie/issues/69> from AlexisTM/fix_exit_zeroconf
    Solve zeroconf sys.exit( ..., ...) issue
  * Contributors: Alexander Tiderko, Alexis Paques, Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.7-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.6-0xenial) xenial; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.5-0xenial) xenial; urgency=high

  * master_discovery_fkie: reduced warning outputs in cases a node or service is not reachable
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.4-0xenial) xenial; urgency=high

  * master_discovery_fkie: improved filter logging
  * fixed read parameter with host filter
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 02 May 2017 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.3-0xenial) xenial; urgency=high

  * fixed warnings in API documentation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.2-0xenial) xenial; urgency=high

  * master_discovery_fkie: reverted the cut of domains in hostnames
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Jan 2017 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.1-0xenial) xenial; urgency=high

  * master_discovery_fkie: fixed some problems on macOS
    
    perform test for multicast interfaces only on Linux and FreeBSD
    
    changed detection for local interface to support discovering on iOS
  * master_discovery_fkie: removed domain suffix from hostname
  * master_discovery_fkie: removed a not needed import
  * master_discovery_fkie: digrammar fix in exception message
  * Contributors: Alexander Tiderko, Jason Mercer

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 25 Jan 2017 23:00:00 -0000

ros-kinetic-master-discovery-fkie (0.7.0-0xenial) xenial; urgency=high

  * master_discovery_fkie: added detection for timejumps into the past
  * master_discovery_fkie: fixed the shutdown process
    
    sometimes blocks the SimpleXMLRPCServer the shutdown process. Added a
    timer to kill the own process at the end.
  * master_discovery_fkie: #55 <https://github.com/fkie/multimaster_fkie/issues/55> change the message handling routines
    Introduced a send and receive Queue. It was need to implement new
    features like hub/client structure.
    Added more debug output.
  * master_discovery_fkie: splitted send_mcast into send_mcast and listen_mcast to get a hub functionality


=== debian/control ===
Source: ros-kinetic-master-discovery-fkie
Section: misc
Priority: extra
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-multimaster-msgs-fkie, ros-kinetic-std-srvs
Homepage: http://ros.org/wiki/master_discovery_fkie
Standards-Version: 3.9.2

Package: ros-kinetic-master-discovery-fkie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, avahi-daemon, python-avahi, ros-kinetic-multimaster-msgs-fkie, ros-kinetic-rosgraph, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-std-srvs
Description: Discover the running ROS Masters in local network.
 The discovering is done by sending an echo heartbeat messages to a defined multicast group. The alternative is to use a zeroconf/avahi daemon to register the ROS master as service and discover other ROS masters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-master-discovery-fkie//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
